from spotlight.validator import Validator

class AuthValidationRules():
    def __init__(self):
        self.validator = Validator()

    def login_validation(self, data: dict) -> list:
        rules = {
            "email": "required|email|max:250",
            "password": "required|string|min:6|max:250",
        }
        return self.validator.validate(data, rules)
